=== debian/changelog ===
exaile (4.1.4~beta1+dfsg-1) unstable; urgency=low

  * Update to current release
  * Removing usage of pipes module (Closes: #1092513)

 -- luzip665 <luzip665@posteo.de>  Tue, 28 JAN 2025 12:32:16 +0200

exaile (4.1.3+dfsg-4) unstable; urgency=low

  * Removing usage of sunau module (Closes: #1084721)

 -- luzip665 <luzip665@posteo.de>  Sat, 16 NOV 2024 12:32:16 +0200

exaile (4.1.3+dfsg-3) unstable; urgency=low

  * Removing direct dependency to libgtk-3-0 (Closes: #1067175)

 -- luzip665 <luzip665@posteo.de>  Sat, 23 MAR 2024 12:32:16 +0200
