=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export PREFIX=/usr

%:
	dh $@

override_dh_auto_build:
	make manpage
	make completion
	make desktop_files
override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	find $(CURDIR) \( -name 'COPYING' -o -name 'LICENSE' \) -delete

override_dh_auto_test:
