## exaile 4.1.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -181,10 +181,8 @@
 	install -p -m 644 data/ui/preferences/*.ui $(EXAILESHAREDIR)/data/ui/preferences
 	install -p -m 644 data/ui/preferences/widgets/*.ui $(EXAILESHAREDIR)/data/ui/preferences/widgets
 	install -p -m 644 data/ui/widgets/*.ui $(EXAILESHAREDIR)/data/ui/widgets
-	install -p -m 644 build/exaile.desktop \
-		$(DESTDIR)$(DATADIR)/applications/
-	install -p -m 644 build/exaile.appdata.xml \
-		$(DESTDIR)$(DATADIR)/metainfo/
+	-install -p -m 644 build/exaile.desktop $(DESTDIR)$(DATADIR)/applications/
+	-install -p -m 644 build/exaile.appdata.xml $(DESTDIR)$(DATADIR)/metainfo/
 	-install -p -m 644 build/exaile.1.gz $(EXAILEMANDIR)/man1/
 	-install -p -m 644 build/exaile.bash-completion $(DESTDIR)$(BASHCOMPDIR)/exaile
 	-install -p -m 644 build/exaile.fish-completion $(DESTDIR)$(FISHCOMPDIR)/exaile.fish
@@ -206,7 +204,7 @@
 	mkdir -p $(LOCALE_DIR)
 	-msgmerge -q -o - $< po/messages.pot | msgfmt -c -o $(LOCALE_DIR)/exaile.mo -
 
-locale: builddir $(LOCALE_OBJS) desktop_files
+locale: $(LOCALE_OBJS)
 
 install-locale:
 	for f in `find build/locale -name exaile.mo` ; do \
@@ -253,3 +251,4 @@
 	    find ../plugins -name "*.ui" | sort ; } \
 	  | xgettext --files-from=- --output=messages.pot --from-code=UTF-8 --add-comments=TRANSLATORS --keyword=N_ && \
 	  find ../plugins -name PLUGININFO | sort \
+	  | xgettext --files-from=- --output=messages.pot --from-code=UTF-8 --add-comments=TRANSLATORS --join-existing --language=Python && \
