=== debian/changelog ===
exaile (4.1.4+dfsg-1) unstable; urgency=low

  * Move Debian-files to salsa.debian.org
  * Support GIRepository-3.0
  * Update appdata.xml

 -- luzip665 <luzip665@posteo.de>  Sat, 24 MAY 2025 12:32:16 +0200
