=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 %:
 	dh $@
+
+override_dh_clean:
+	rm -rf tests
+	dh_clean
 
 override_dh_auto_build:
 	make manpage
