=== debian/changelog ===
exaile (4.2.1+dfsg-1) unstable; urgency=low

  [ luzip665 ]
  * Move repo to https://salsa.debian.org/debian/exaile
  * Update to Exaile 4.2.1
  * Control: remove ancient versions requirements, bump plugin
    dependencies to recommended (from suggested), add explicit deps on
    python3-cairo and python3-setproctitle.
  * Watch: bump to v5, improve version matching pattern.
  * Copyright: bump packaging years

  [ Jeroen Ploemen ]
  * CI: add d/salsa-ci.yml with standard recipe.

 -- luzip665 <luzip665@posteo.de>  Thu, 25 DEC 2025 12:32:16 +0200
