=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: exaile
 Section: sound
-Priority: optional
 Maintainer: luzip665 <luzip665@posteo.de>
 Build-Depends: debhelper-compat (= 13), python3 (>= 3.6), python3-sphinx (>= 1.6), python3-gi-cairo (>=3.26), help2man
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://exaile.org
-Vcs-Browser: https://salsa.debian.org/luzip665/exaile
-Vcs-Git: https://salsa.debian.org/luzip665/exaile.git
+Vcs-Browser: https://salsa.debian.org/debian/exaile
+Vcs-Git: https://salsa.debian.org/debian/exaile.git
 
 Package: exaile
 Architecture: all
