=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/exaile/exaile/releases
Matching-Pattern: https://github.com/exaile/exaile/releases/download/(?:\d\.\d\.\d)\/exaile-(\d)\.(\d)\.(\d)\.tar\.gz
Dversion-Mangle: s/\+dfsg\d*$//
#Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Uversion-Mangle: s/-(alpha|rc|beta)/~$1/
Repacksuffix: +dfsg
Searchmode: plain
